#!/usr/bin/env ruby

system"banner Hello!"
puts"さぁ、復習の時間だぁ！"
puts"解けるものなら解いてみろ！"
seikaisuu = 0
start=Time.now.to_i

puts"-第1問-"
puts"1回目に習ったktermに文字を出すときに使う言語は？"
puts"1,puts 2,exit 3,cntrol"
answer = gets.to_i

if answer == 1
puts"正解！他にprintやprintfがあるよ！"
seikaisuu += 1
else
puts"残念！正解はputsだよ。他にはprintやprintfがあるよ。使い分けできるようにね。"
end

puts"-第2問-"
puts"getsの後につけるもので文字列の時につけるものは？"
puts"1,to_i 2,.chomp 3,.to_f"
answer = gets.to_i

if answer == 2
puts"正解！流石！！"
seikaisuu += 1
else
puts"残念！！.chompだよ"
end

puts"-第3問-"
puts"ループの時に使うものは？"
puts"1,if 2,while 3,else"
answer = gets.to_i

if answer == 2
puts"正解！ちなみに「ワイル」と読むよ"
seikaisuu += 1
else
puts"残念！whileだよ"
end

puts"-第4問-"
puts"配列は何番目から始まるでしょう？"
puts"1,0番目 2,1番目 3,10番目"
answer = gets.to_i

if answer == 1
puts"正解！ちゃんと覚えててgood！"
seikaisuu += 1
else
puts"残念！！"
end

puts"-第5問-"
puts"乱数の時に使うものは？ランダムに１つ取り出すときに使うものだよ"
puts"1,iland 2,land 3,rand"
answer = gets.to_i
 
if answer == 3
puts"正解！！すごいねぇ！"
seikaisuu += 1
else
puts"残念！randだよ"
end

puts"Enterを押してね"
stop=gets.chomp
finish=Time.now.to_i
time=finish-start
printf("タイムは、%d秒です。\n" ,time)
sleep 1
puts"正解数は........"
sleep 1
printf("5問中、%d問正解！！\n", seikaisuu )
